Open appvitae.ai

Documents

Vitae.ai stores and parses CVs, resumes, cover letters, and any other documents attached to professional or application records.

Upload a document

POST /v1/documents
Authorization: Bearer <token>
Content-Type: multipart/form-data
 
file=@/path/to/resume.pdf
candidateId=prof_01abc...
type=cv

Supported file types: PDF, DOCX, DOC, TXT.

Get documents for a professional

GET /v1/documents?candidateId=prof_01abc...
Authorization: Bearer <token>

Response:

{
  "documents": [
    {
      "id": "doc_01abc...",
      "type": "cv",
      "filename": "jane-smith-resume.pdf",
      "parsedContent": {
        "name": "Jane Smith",
        "email": "jane@example.com",
        "skills": ["Node.js", "TypeScript"],
        "experience": [...]
      },
      "createdAt": "2026-05-01T10:00:00Z"
    }
  ]
}

Parsed CV fields

When a CV is uploaded, Vitae.ai automatically parses and extracts:

  • Name, email, phone, location
  • Work experience (company, title, dates, description)
  • Education
  • Skills
  • Languages

Parsed data populates the professional’s profile automatically.

Document types

TypeDescription
cvCurriculum vitae or resume
cover_letterCover letter for a specific role
portfolioPortfolio or work samples
otherAny other attached file

Attach a document to an application

POST /v1/applications/:applicationId/documents
Content-Type: application/json
 
{ "documentId": "doc_01abc..." }

Delete a document

DELETE /v1/documents/:documentId
Authorization: Bearer <token>